Debian-Sicherheitsankündigung

DSA-1593-1 tomcat5.5 -- Fehlende Eingabebereinigung

Datum des Berichts:
09. Jun 2008
Betroffene Pakete:
tomcat5.5
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In Mitres CVE-Verzeichnis: CVE-2008-1947.
Weitere Informationen:

Es wurde entdeckt, dass die Web-Anwendung Host Manager eine unzureichende Eingabebereinigung durchführt, was zu Site-übergreifendem Skripting führen kann.

Für die Stable-Distribution (Etch) wurde dieses Problem in Version 5.5.20-2etch3 behoben.

Für die Unstable-Distribution (Sid) wurde dieses Problem in Version 5.5.26-3 behoben.

Wir empfehlen Ihnen, Ihre tomcat5.5-Pakete zu aktualisieren.

Behoben in:

Debian GNU/Linux 4.0 (etch)

Quellcode:
http://security.debian.org/pool/updates/main/t/tomcat5.5/tomcat5.5_5.5.20-2etch3.dsc
http://security.debian.org/pool/updates/main/t/tomcat5.5/tomcat5.5_5.5.20.orig.tar.gz
http://security.debian.org/pool/updates/main/t/tomcat5.5/tomcat5.5_5.5.20-2etch3.diff.gz
Architektur-unabhängige Dateien:
http://security.debian.org/pool/updates/main/t/tomcat5.5/tomcat5.5-admin_5.5.20-2etch3_all.deb
http://security.debian.org/pool/updates/main/t/tomcat5.5/libtomcat5.5-java_5.5.20-2etch3_all.deb
http://security.debian.org/pool/updates/main/t/tomcat5.5/tomcat5.5-webapps_5.5.20-2etch3_all.deb
http://security.debian.org/pool/updates/main/t/tomcat5.5/tomcat5.5_5.5.20-2etch3_all.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.